New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Enable/disable HTTP API

PUT
/api/v1/settings/http-api-enabled

Toggle the HTTP API server on or off in config. Requires app restart to take effect.

Query Parameters

enabled*Enabled

Enable or disable the HTTP API

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the setting was actually changed

message?|

Optional status message

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/http-api-enabled?enabled=true'
Example Response
{  "success": true,  "changed": true,  "message": "string"}